# HOW TO USE:
# 1. Run "/scoreboard players set min earthweather <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max earthweather <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:earthweather" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "earthweather"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out earthweather")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=earthweatheractive] run scoreboard objectives add earthweather dummy
execute unless entity @e[tag=earthweatheractive] run scoreboard players set min earthweather 0
execute unless entity @e[tag=earthweatheractive] run scoreboard players set max earthweather 8
execute unless entity @e[tag=earthweatheractive] run summon area_effect_cloud ~ ~ ~ {Tags:["earthweatherbase"],Duration:1}
execute unless entity @e[tag=earthweatheractive] run execute store result score num earthweather run data get entity @e[type=area_effect_cloud,limit=1,tag=earthweatherbase] UUID[0]
execute unless entity @e[tag=earthweatheractive] run scoreboard players set a earthweather 48141429
execute unless entity @e[tag=earthweatheractive] run scoreboard players set b earthweather 4819982
execute unless entity @e[tag=earthweatheractive] run scoreboard players set m earthweather 924866
execute unless entity @e[tag=earthweatheractive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["earthweatheractive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax earthweather = max earthweather
scoreboard players operation trueMax earthweather -= min earthweather
scoreboard players add trueMax earthweather 1

# Modify output
scoreboard players operation num earthweather *= a earthweather
scoreboard players operation num earthweather += b earthweather
scoreboard players operation out earthweather = num earthweather
scoreboard players operation out earthweather %= m earthweather
scoreboard players operation out earthweather %= trueMax earthweather
scoreboard players operation out earthweather += min earthweather

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"earthweather"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module

schedule function extraterrastral:earth 1d
execute if entity @a if score out earthweather matches 1 as @a at @s unless dimension extraterrastral:space run summon fireball ~1 ~15 ~ {Motion:[-1d,-2d,-1d],ExplosionPower:5,Tags:["meteor"]}
execute if entity @a if score out earthweather matches 2 as @a at @s unless dimension extraterrastral:space run summon fireball ~ ~15 ~2 {Motion:[1d,-2d,-1d],ExplosionPower:10,Tags:["meteor"]}
execute if entity @a if score out earthweather matches 3 as @a at @s unless dimension extraterrastral:space run summon fireball ~12 ~15 ~3 {Motion:[-1d,-2d,1d],ExplosionPower:6,Tags:["meteor"]}
execute if entity @a if score out earthweather matches 4 as @a at @s unless dimension extraterrastral:space run summon fireball ~-3 ~15 ~13 {Motion:[1d,-2d,1d],ExplosionPower:6,Tags:["meteor"]}
execute if entity @a if score out earthweather matches 5 as @a at @s unless dimension extraterrastral:space run summon fireball ~-10 ~15 ~-11 {Motion:[-1d,-2d,-1d],ExplosionPower:7,Tags:["meteor"]}
execute if entity @a if score out earthweather matches 6 as @a at @s unless dimension extraterrastral:space run summon fireball ~13 ~15 ~2 {Motion:[-1d,-2d,-1d],ExplosionPower:6,Tags:["meteor"]}
execute if entity @a if score out earthweather matches 7 as @a at @s unless dimension extraterrastral:space run summon fireball ~3 ~15 ~4 {Motion:[-1d,-2d,-1d],ExplosionPower:8,Tags:["meteor"]}
execute if entity @a if score out earthweather matches 8 as @a at @s unless dimension extraterrastral:space run summon fireball ~-2 ~15 ~-4 {Motion:[-1d,-2d,-1d],ExplosionPower:4,Tags:["meteor"]}