# HOW TO USE:
# 1. Run "/scoreboard players set min gasgiantweather <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max gasgiantweather <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:gasgiantweather" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "gasgiantweather"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out gasgiantweather")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=gasgiantweatheractive] run scoreboard objectives add gasgiantweather dummy
execute unless entity @e[tag=gasgiantweatheractive] run scoreboard players set min gasgiantweather 0
execute unless entity @e[tag=gasgiantweatheractive] run scoreboard players set max gasgiantweather 20
execute unless entity @e[tag=gasgiantweatheractive] run summon area_effect_cloud ~ ~ ~ {Tags:["gasgiantweatherbase"],Duration:1}
execute unless entity @e[tag=gasgiantweatheractive] run execute store result score num gasgiantweather run data get entity @e[type=area_effect_cloud,limit=1,tag=gasgiantweatherbase] UUID[0]
execute unless entity @e[tag=gasgiantweatheractive] run scoreboard players set a gasgiantweather 48141429
execute unless entity @e[tag=gasgiantweatheractive] run scoreboard players set b gasgiantweather 4819982
execute unless entity @e[tag=gasgiantweatheractive] run scoreboard players set m gasgiantweather 924866
execute unless entity @e[tag=gasgiantweatheractive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["gasgiantweatheractive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax gasgiantweather = max gasgiantweather
scoreboard players operation trueMax gasgiantweather -= min gasgiantweather
scoreboard players add trueMax gasgiantweather 1

# Modify output
scoreboard players operation num gasgiantweather *= a gasgiantweather
scoreboard players operation num gasgiantweather += b gasgiantweather
scoreboard players operation out gasgiantweather = num gasgiantweather
scoreboard players operation out gasgiantweather %= m gasgiantweather
scoreboard players operation out gasgiantweather %= trueMax gasgiantweather
scoreboard players operation out gasgiantweather += min gasgiantweather

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"gasgiantweather"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module

schedule function extraterrastral:gasgiant 2s
execute if entity @a if score out gasgiantweather matches 1 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~ ~ ~-18
execute if entity @a if score out gasgiantweather matches 2 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~ ~ ~-18
execute if entity @a if score out gasgiantweather matches 3 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~18 ~ ~-26
execute if entity @a if score out gasgiantweather matches 4 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~18 ~ ~-26
execute if entity @a if score out gasgiantweather matches 5 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~15 ~ ~
execute if entity @a if score out gasgiantweather matches 6 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~15 ~ ~
execute if entity @a if score out gasgiantweather matches 7 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~1 ~ ~1
execute if entity @a if score out gasgiantweather matches 8 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~1 ~ ~1
execute if entity @a if score out gasgiantweather matches 9 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~26 ~ ~26
execute if entity @a if score out gasgiantweather matches 10 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~26 ~ ~26
execute if entity @a if score out gasgiantweather matches 11 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~-18 ~ ~-8
execute if entity @a if score out gasgiantweather matches 12 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~-18 ~ ~-8
execute if entity @a if score out gasgiantweather matches 13 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~-6 ~ ~10
execute if entity @a if score out gasgiantweather matches 14 as @a at @s if dimension extraterrastral:gasgiant run summon lightning_bolt ~-6 ~ ~10