# HOW TO USE:
# 1. Run "/scoreboard players set min icegiantweather <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max icegiantweather <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:icegiantweather" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "icegiantweather"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out icegiantweather")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=icegiantweatheractive] run scoreboard objectives add icegiantweather dummy
execute unless entity @e[tag=icegiantweatheractive] run scoreboard players set min icegiantweather 0
execute unless entity @e[tag=icegiantweatheractive] run scoreboard players set max icegiantweather 8
execute unless entity @e[tag=icegiantweatheractive] run summon area_effect_cloud ~ ~ ~ {Tags:["icegiantweatherbase"],Duration:1}
execute unless entity @e[tag=icegiantweatheractive] run execute store result score num icegiantweather run data get entity @e[type=area_effect_cloud,limit=1,tag=icegiantweatherbase] UUID[0]
execute unless entity @e[tag=icegiantweatheractive] run scoreboard players set a icegiantweather 48141429
execute unless entity @e[tag=icegiantweatheractive] run scoreboard players set b icegiantweather 4819982
execute unless entity @e[tag=icegiantweatheractive] run scoreboard players set m icegiantweather 924866
execute unless entity @e[tag=icegiantweatheractive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["icegiantweatheractive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax icegiantweather = max icegiantweather
scoreboard players operation trueMax icegiantweather -= min icegiantweather
scoreboard players add trueMax icegiantweather 1

# Modify output
scoreboard players operation num icegiantweather *= a icegiantweather
scoreboard players operation num icegiantweather += b icegiantweather
scoreboard players operation out icegiantweather = num icegiantweather
scoreboard players operation out icegiantweather %= m icegiantweather
scoreboard players operation out icegiantweather %= trueMax icegiantweather
scoreboard players operation out icegiantweather += min icegiantweather

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"icegiantweather"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module

schedule function extraterrastral:icegiant 4s
execute if entity @a if score out icegiantweather matches 1 as @a at @s if dimension extraterrastral:icegiant run summon husk ~-3 ~ ~-6 {CanBreakDoors:1,CustomName:'[{"text":"Winds"}]',Tags:["wind"],Health:1,Silent:1b,ActiveEffects:[{Id:14,Duration:9999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.follow_range",Base:2048f},{Name:"generic.attack_knockback",Base:3f},{Name:"generic.attack_speed",Base:1024f},{Name:"generic.attack_damage",Base:0.5f},{Name:"generic.max_health",Base:1f}]}
execute if entity @a if score out icegiantweather matches 2 as @a at @s if dimension extraterrastral:icegiant run summon husk ~-3 ~ ~-6 {CanBreakDoors:1,CustomName:'[{"text":"Winds"}]',Tags:["wind"],Health:1,Silent:1b,ActiveEffects:[{Id:14,Duration:9999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.follow_range",Base:2048f},{Name:"generic.attack_knockback",Base:3f},{Name:"generic.attack_speed",Base:1024f},{Name:"generic.attack_damage",Base:0.5f},{Name:"generic.max_health",Base:1f}]}
execute if entity @a if score out icegiantweather matches 3 as @a at @s if dimension extraterrastral:icegiant run summon lightning_bolt ~-6 ~ ~10
execute if entity @a if score out icegiantweather matches 4 as @a at @s if dimension extraterrastral:icegiant run summon lightning_bolt ~ ~ ~10
execute if entity @a if score out icegiantweather matches 5 as @a at @s if dimension extraterrastral:icegiant run summon lightning_bolt ~-6 ~ ~10