# HOW TO USE:
# 1. Run "/scoreboard players set min rockyplanetweather <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max rockyplanetweather <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:rockyplanetweather" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "rockyplanetweather"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out rockyplanetweather")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=rockyplanetweatheractive] run scoreboard objectives add rockyplanetweather dummy
execute unless entity @e[tag=rockyplanetweatheractive] run scoreboard players set min rockyplanetweather 0
execute unless entity @e[tag=rockyplanetweatheractive] run scoreboard players set max rockyplanetweather 28
execute unless entity @e[tag=rockyplanetweatheractive] run summon area_effect_cloud ~ ~ ~ {Tags:["rockyplanetweatherbase"],Duration:1}
execute unless entity @e[tag=rockyplanetweatheractive] run execute store result score num rockyplanetweather run data get entity @e[type=area_effect_cloud,limit=1,tag=rockyplanetweatherbase] UUID[0]
execute unless entity @e[tag=rockyplanetweatheractive] run scoreboard players set a rockyplanetweather 48141429
execute unless entity @e[tag=rockyplanetweatheractive] run scoreboard players set b rockyplanetweather 4819982
execute unless entity @e[tag=rockyplanetweatheractive] run scoreboard players set m rockyplanetweather 924866
execute unless entity @e[tag=rockyplanetweatheractive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["rockyplanetweatheractive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax rockyplanetweather = max rockyplanetweather
scoreboard players operation trueMax rockyplanetweather -= min rockyplanetweather
scoreboard players add trueMax rockyplanetweather 1

# Modify output
scoreboard players operation num rockyplanetweather *= a rockyplanetweather
scoreboard players operation num rockyplanetweather += b rockyplanetweather
scoreboard players operation out rockyplanetweather = num rockyplanetweather
scoreboard players operation out rockyplanetweather %= m rockyplanetweather
scoreboard players operation out rockyplanetweather %= trueMax rockyplanetweather
scoreboard players operation out rockyplanetweather += min rockyplanetweather

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"rockyplanetweather"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module

schedule function extraterrastral:rockyplanet 7.5s
execute if entity @a if score out rockyplanetweather matches 1 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~14 ~2 ~-16 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 1 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~ ~2 ~-5 {CustomName:'[{"text":"Detonite Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 1 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~5 ~2 ~-13 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 2 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~14 ~2 ~-6 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 2 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~ ~2 ~-15 {CustomName:'[{"text":"Detonite Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 2 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~5 ~2 ~-3 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 3 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~14 ~2 ~-16 {CustomName:'[{"text":"Uranium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 3 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~ ~2 ~-15 {CustomName:'[{"text":"Detonite Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 3 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~18 ~2 ~-19 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 4 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~7 ~2 ~-5 {CustomName:'[{"text":"Uranium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 4 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~14 ~2 ~-16 {CustomName:'[{"text":"Detonite Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 4 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~4 ~2 ~-9 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 5 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~14 ~2 ~-16 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 5 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~ ~2 ~-5 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 5 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~5 ~2 ~-3 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 6 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~4 ~2 ~-4 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 6 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~3 ~2 ~-3 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 6 as @a at @s if dimension extraterrastral:rockyplanet run summon husk ~6 ~2 ~-4 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out rockyplanetweather matches 7 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/hill ~-25 ~ ~34
execute if entity @a if score out rockyplanetweather matches 8 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/volcano ~23 ~ ~-15
execute if entity @a if score out rockyplanetweather matches 9 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/volcano ~-48 ~ ~12
execute if entity @a if score out rockyplanetweather matches 10 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/hill ~21 ~ ~-34
execute if entity @a if score out rockyplanetweather matches 11 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/hill ~-45 ~ ~13
execute if entity @a if score out rockyplanetweather matches 12 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/volcano ~32 ~ ~-19
execute if entity @a if score out rockyplanetweather matches 13 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/volcano ~-16 ~ ~30
execute if entity @a if score out rockyplanetweather matches 14 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/hill ~16 ~ ~-81
execute if entity @a if score out rockyplanetweather matches 15 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/hill ~-25 ~ ~34
execute if entity @a if score out rockyplanetweather matches 16 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/volcano ~23 ~ ~-15
execute if entity @a if score out rockyplanetweather matches 17 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/volcano ~-48 ~ ~12
execute if entity @a if score out rockyplanetweather matches 18 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/hill ~21 ~ ~-34
execute if entity @a if score out rockyplanetweather matches 19 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/hill ~-45 ~ ~13
execute if entity @a if score out rockyplanetweather matches 20 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/volcano ~32 ~ ~-19
execute if entity @a if score out rockyplanetweather matches 21 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/volcano ~-16 ~ ~30
execute if entity @a if score out rockyplanetweather matches 22 as @a at @s if dimension extraterrastral:rockyplanet if block ~ ~-1 ~ minecraft:cobblestone run place template extraterrastral:rocky/hill ~16 ~ ~-81