# HOW TO USE:
# 1. Run "/scoreboard players set min alienplanetweather <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max alienplanetweather <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:alienplanetweather" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "alienplanetweather"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out alienplanetweather")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=alienplanetweatheractive] run scoreboard objectives add alienplanetweather dummy
execute unless entity @e[tag=alienplanetweatheractive] run scoreboard players set min alienplanetweather 0
execute unless entity @e[tag=alienplanetweatheractive] run scoreboard players set max alienplanetweather 23
execute unless entity @e[tag=alienplanetweatheractive] run summon area_effect_cloud ~ ~ ~ {Tags:["alienplanetweatherbase"],Duration:1}
execute unless entity @e[tag=alienplanetweatheractive] run execute store result score num alienplanetweather run data get entity @e[type=area_effect_cloud,limit=1,tag=alienplanetweatherbase] UUID[0]
execute unless entity @e[tag=alienplanetweatheractive] run scoreboard players set a alienplanetweather 48141429
execute unless entity @e[tag=alienplanetweatheractive] run scoreboard players set b alienplanetweather 4819982
execute unless entity @e[tag=alienplanetweatheractive] run scoreboard players set m alienplanetweather 924866
execute unless entity @e[tag=alienplanetweatheractive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["alienplanetweatheractive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax alienplanetweather = max alienplanetweather
scoreboard players operation trueMax alienplanetweather -= min alienplanetweather
scoreboard players add trueMax alienplanetweather 1

# Modify output
scoreboard players operation num alienplanetweather *= a alienplanetweather
scoreboard players operation num alienplanetweather += b alienplanetweather
scoreboard players operation out alienplanetweather = num alienplanetweather
scoreboard players operation out alienplanetweather %= m alienplanetweather
scoreboard players operation out alienplanetweather %= trueMax alienplanetweather
scoreboard players operation out alienplanetweather += min alienplanetweather

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"alienplanetweather"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module

schedule function extraterrastral:alienplanet 9s
execute if entity @a if score out alienplanetweather matches 1 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~14 ~ ~-16 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out alienplanetweather matches 1 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~ ~ ~-5 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out alienplanetweather matches 1 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~5 ~ ~-13 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out alienplanetweather matches 2 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~14 ~ ~-6 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out alienplanetweather matches 2 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~ ~ ~-15 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out alienplanetweather matches 2 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~5 ~ ~-3 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out alienplanetweather matches 3 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~14 ~ ~-16 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out alienplanetweather matches 3 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~ ~ ~-15 {CustomName:'[{"text":"Sapphire Ore"}]'}
execute if entity @a if score out alienplanetweather matches 3 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~18 ~ ~-19 {CustomName:'[{"text":"Lithium Ore"}]'}
execute if entity @a if score out alienplanetweather matches 4 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~8 ~2 ~-8 {CustomName:'[{"text":"Detonite Creeper"}]',Health:50,DeathLootTable:"extraterrastral:blocks/detonite_ore",Tags:["detonitecreeper"],ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b}],ArmorItems:[{},{},{},{id:phantom_spawn_egg,tag:{CustomModelData:14},Count:1}],ArmorDropChances:[0f,0f,0f,0f],Attributes:[{Name:"generic.max_health",Base:50f}]}
execute if entity @a if score out alienplanetweather matches 5 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~18 ~ ~-8 {CustomName:'[{"text":"Detonite Creeper"}]',Health:50,DeathLootTable:"extraterrastral:blocks/detonite_ore",Tags:["detonitecreeper"],ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b}],ArmorItems:[{},{},{},{id:phantom_spawn_egg,tag:{CustomModelData:14},Count:1}],ArmorDropChances:[0f,0f,0f,0f],Attributes:[{Name:"generic.max_health",Base:50f}]}
execute if entity @a if score out alienplanetweather matches 6 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~8 ~ ~-18 {CustomName:'[{"text":"Detonite Creeper"}]',Health:50,DeathLootTable:"extraterrastral:blocks/detonite_ore",Tags:["detonitecreeper"],ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b}],ArmorItems:[{},{},{},{id:phantom_spawn_egg,tag:{CustomModelData:14},Count:1}],ArmorDropChances:[0f,0f,0f,0f],Attributes:[{Name:"generic.max_health",Base:50f}]}
execute if entity @a if score out alienplanetweather matches 7 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~-16 ~ ~-9 {CustomName:'[{"text":"Detonite Creeper"}]',Health:50,DeathLootTable:"extraterrastral:blocks/detonite_ore",Tags:["detonitecreeper"],ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b}],ArmorItems:[{},{},{},{id:phantom_spawn_egg,tag:{CustomModelData:14},Count:1}],ArmorDropChances:[0f,0f,0f,0f],Attributes:[{Name:"generic.max_health",Base:50f}]}
execute if entity @a if score out alienplanetweather matches 8 as @a at @s if dimension extraterrastral:alienplanet if block ~ ~-1 ~ minecraft:grass_block run place template extraterrastral:rocky/volcano ~23 ~ ~-15
execute if entity @a if score out alienplanetweather matches 9 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~25 ~ ~-5 {CustomName:'[{"text":"Pearaptor"}]',Health:75,Tags:["pearaptor"],ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b},{Id:8,Duration:9999999,Amplifier:5,ShowParticles:0b},{Id:28,Duration:9999999,Amplifier:5,ShowParticles:0b},{Id:1,Duration:9999999,Amplifier:5,ShowParticles:0b}],ArmorItems:[{},{},{},{}],ArmorDropChances:[0f,0f,0f,0f],Attributes:[{Name:"generic.max_health",Base:75f}]}
execute if entity @a if score out alienplanetweather matches 10 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~9 ~ ~-14 {CustomName:'[{"text":"Pearaptor"}]',Health:75,Tags:["pearaptor"],ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b},{Id:8,Duration:9999999,Amplifier:5,ShowParticles:0b},{Id:28,Duration:9999999,Amplifier:5,ShowParticles:0b},{Id:1,Duration:9999999,Amplifier:5,ShowParticles:0b}],ArmorItems:[{},{},{},{}],ArmorDropChances:[0f,0f,0f,0f],Attributes:[{Name:"generic.max_health",Base:75f}]}
execute if entity @a if score out alienplanetweather matches 11 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~-14 ~ ~7 {CustomName:'[{"text":"Pearaptor"}]',Health:75,Tags:["pearaptor"],ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b},{Id:8,Duration:9999999,Amplifier:5,ShowParticles:0b},{Id:28,Duration:9999999,Amplifier:5,ShowParticles:0b},{Id:1,Duration:9999999,Amplifier:5,ShowParticles:0b}],ArmorItems:[{},{},{},{}],ArmorDropChances:[0f,0f,0f,0f],Attributes:[{Name:"generic.max_health",Base:75f}]}
execute if entity @a if score out alienplanetweather matches 12 as @a at @s if dimension extraterrastral:alienplanet unless block ~ ~-1 ~ minecraft:air run summon husk ~5 ~ ~35 {CustomName:'[{"text":"Pearaptor"}]',Health:75,Tags:["pearaptor"],ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b},{Id:8,Duration:9999999,Amplifier:5,ShowParticles:0b},{Id:28,Duration:9999999,Amplifier:5,ShowParticles:0b},{Id:1,Duration:9999999,Amplifier:5,ShowParticles:0b}],ArmorItems:[{},{},{},{}],ArmorDropChances:[0f,0f,0f,0f],Attributes:[{Name:"generic.max_health",Base:75f}]}
execute if entity @a if score out alienplanetweather matches 13 as @a at @s if dimension extraterrastral:alienplanet if biome ~ ~ ~ extraterrastral:alienplains unless block ~ ~-1 ~ minecraft:air run summon iron_golem ~14 ~ ~-14 {CustomName:'[{"text":"Aesngsavang"}]',Health:150,PersistenceRequired:1b,Silent:1b,Tags:["aesngsavang"],ActiveEffects:[{Id:14,Duration:100000,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.attack_damage",Base:5f},{Name:"generic.attack_knockback",Base:2f},{Name:"generic.knockback_resistance",Base:0f},{Name:"generic.max_health",Base:150f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"ae"}]',PersistenceRequired:1b,Silent:1b,Tags:["ae"],ArmorItems:[{},{},{},{id:phantom_spawn_egg,tag:{CustomModelData:18},Count:1}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out alienplanetweather matches 14 as @a at @s if dimension extraterrastral:alienplanet if biome ~ ~ ~ extraterrastral:alienplains unless block ~ ~-1 ~ minecraft:air run summon iron_golem ~-24 ~ ~4 {CustomName:'[{"text":"Aesngsavang"}]',Health:150,PersistenceRequired:1b,Silent:1b,Tags:["aesngsavang"],ActiveEffects:[{Id:14,Duration:100000,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.attack_damage",Base:5f},{Name:"generic.attack_knockback",Base:2f},{Name:"generic.knockback_resistance",Base:0f},{Name:"generic.max_health",Base:150f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"ae"}]',PersistenceRequired:1b,Silent:1b,Tags:["ae"],ArmorItems:[{},{},{},{id:phantom_spawn_egg,tag:{CustomModelData:18},Count:1}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out alienplanetweather matches 15 as @a at @s if dimension extraterrastral:alienplanet if biome ~ ~ ~ extraterrastral:alienplains unless block ~ ~-1 ~ minecraft:air run summon iron_golem ~3 ~ ~-5 {CustomName:'[{"text":"Aesngsavang"}]',Health:150,PersistenceRequired:1b,Silent:1b,Tags:["aesngsavang"],ActiveEffects:[{Id:14,Duration:100000,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.attack_damage",Base:5f},{Name:"generic.attack_knockback",Base:2f},{Name:"generic.knockback_resistance",Base:0f},{Name:"generic.max_health",Base:150f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"ae"}]',PersistenceRequired:1b,Silent:1b,Tags:["ae"],ArmorItems:[{},{},{},{id:phantom_spawn_egg,tag:{CustomModelData:18},Count:1}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out alienplanetweather matches 16 as @a at @s if dimension extraterrastral:alienplanet if biome ~ ~ ~ extraterrastral:alienplains unless block ~ ~-1 ~ minecraft:air run summon iron_golem ~-12 ~ ~23 {CustomName:'[{"text":"Aesngsavang"}]',Health:150,PersistenceRequired:1b,Silent:1b,Tags:["aesngsavang"],ActiveEffects:[{Id:14,Duration:100000,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.attack_damage",Base:5f},{Name:"generic.attack_knockback",Base:2f},{Name:"generic.knockback_resistance",Base:0f},{Name:"generic.max_health",Base:150f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"ae"}]',PersistenceRequired:1b,Silent:1b,Tags:["ae"],ArmorItems:[{},{},{},{id:phantom_spawn_egg,tag:{CustomModelData:18},Count:1}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out alienplanetweather matches 17 as @a at @s if dimension extraterrastral:alienplanet if biome ~ ~ ~ extraterrastral:alienplains unless block ~ ~-1 ~ minecraft:air run summon sniffer ~15 ~ ~14
execute if entity @a if score out alienplanetweather matches 18 as @a at @s if dimension extraterrastral:alienplanet if biome ~ ~ ~ extraterrastral:alienplains unless block ~ ~-1 ~ minecraft:air run summon sniffer ~5 ~ ~17
execute if entity @a if score out alienplanetweather matches 19 as @a at @s if dimension extraterrastral:alienplanet if biome ~ ~ ~ extraterrastral:alienplains unless block ~ ~-1 ~ minecraft:air run summon sniffer ~15 ~ ~12
execute if entity @a if score out alienplanetweather matches 20 as @a at @s if dimension extraterrastral:alienplanet if biome ~ ~ ~ extraterrastral:alienjungle unless block ~ ~-1 ~ minecraft:air run summon shulker ~13 ~ ~12
execute if entity @a if score out alienplanetweather matches 21 as @a at @s if dimension extraterrastral:alienplanet if biome ~ ~ ~ extraterrastral:alienjungle unless block ~ ~-1 ~ minecraft:air run summon shulker ~5 ~ ~13
execute if entity @a if score out alienplanetweather matches 22 as @a at @s if dimension extraterrastral:alienplanet if biome ~ ~ ~ extraterrastral:alienjungle unless block ~ ~-1 ~ minecraft:air run summon shulker ~13 ~ ~12