# HOW TO USE:
# 1. Run "/scoreboard players set min asteroidweather <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max asteroidweather <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:asteroidweather" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "asteroidweather"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out asteroidweather")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=asteroidweatheractive] run scoreboard objectives add asteroidweather dummy
execute unless entity @e[tag=asteroidweatheractive] run scoreboard players set min asteroidweather 0
execute unless entity @e[tag=asteroidweatheractive] run scoreboard players set max asteroidweather 7
execute unless entity @e[tag=asteroidweatheractive] run summon area_effect_cloud ~ ~ ~ {Tags:["asteroidweatherbase"],Duration:1}
execute unless entity @e[tag=asteroidweatheractive] run execute store result score num asteroidweather run data get entity @e[type=area_effect_cloud,limit=1,tag=asteroidweatherbase] UUID[0]
execute unless entity @e[tag=asteroidweatheractive] run scoreboard players set a asteroidweather 48141429
execute unless entity @e[tag=asteroidweatheractive] run scoreboard players set b asteroidweather 4819982
execute unless entity @e[tag=asteroidweatheractive] run scoreboard players set m asteroidweather 924866
execute unless entity @e[tag=asteroidweatheractive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["asteroidweatheractive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax asteroidweather = max asteroidweather
scoreboard players operation trueMax asteroidweather -= min asteroidweather
scoreboard players add trueMax asteroidweather 1

# Modify output
scoreboard players operation num asteroidweather *= a asteroidweather
scoreboard players operation num asteroidweather += b asteroidweather
scoreboard players operation out asteroidweather = num asteroidweather
scoreboard players operation out asteroidweather %= m asteroidweather
scoreboard players operation out asteroidweather %= trueMax asteroidweather
scoreboard players operation out asteroidweather += min asteroidweather

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"asteroidweather"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module

schedule function extraterrastral:asteroidbelt 25s
execute if entity @a if score out asteroidweather matches 1 as @a at @s if dimension extraterrastral:asteroidbelt run place jigsaw extraterrastral:asteroidbelt extraterrastral:asteroid 7 ~ ~2 ~
execute if entity @a if score out asteroidweather matches 5 as @a at @s if dimension extraterrastral:asteroidbelt run place jigsaw extraterrastral:asteroidbelt extraterrastral:asteroid 7 ~ ~2 ~
execute if entity @a if score out asteroidweather matches 2 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~3 ~ ~ {CustomName:'[{"text":"Detonite Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/detonite_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:3},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 2 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~ ~ ~3 {CustomName:'[{"text":"Lithium Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/lithium_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:2},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 2 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~-1 ~ ~2 {CustomName:'[{"text":"Detonite Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/detonite_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:3},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 3 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~5 ~ ~-5 {CustomName:'[{"text":"Lithium Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/lithium_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:2},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 3 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~-4 ~ ~-2 {CustomName:'[{"text":"Lithium Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/lithium_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:2},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 3 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~4 ~ ~5 {CustomName:'[{"text":"Lithium Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/lithium_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:2},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 4 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~-9 ~ ~3 {CustomName:'[{"text":"Detonite Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/detonite_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:3},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 4 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~ ~ ~7 {CustomName:'[{"text":"Lithium Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/lithium_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:2},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 4 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~5 ~ ~ {CustomName:'[{"text":"Detonite Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/detonite_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:3},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 5 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~2 ~ ~7 {CustomName:'[{"text":"Vibranium Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/vibranium_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:5},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 5 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~-6 ~ ~-4 {CustomName:'[{"text":"Vibranium Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/vibranium_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:5},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 5 as @a at @s if dimension extraterrastral:asteroidbelt run summon shulker ~-3 ~ ~6 {CustomName:'[{"text":"Vibranium Ore"}]',Health:25,NoAI:1b,OnGround:1b,DeathLootTable:"extraterrastral:blocks/vibranium_ore",PersistenceRequired:1b,Silent:1b,Tags:["ore"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:25f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,Health:25,NoAI:1b,PersistenceRequired:1b,Silent:1b,Tags:["orec"],ArmorItems:[{},{},{},{id:wither_spawn_egg,tag:{CustomModelData:5},Count:1}],Attributes:[{Name:"generic.max_health",Base:25f}],ArmorDropChances:[0f,0f,0f,0f]}]}
execute if entity @a if score out asteroidweather matches 6 as @a at @s if dimension extraterrastral:asteroidbelt run summon creeper ~4 ~ ~-3
execute if entity @a if score out asteroidweather matches 6 as @a at @s if dimension extraterrastral:asteroidbelt run summon zombie ~4 ~ ~-3
execute if entity @a if score out asteroidweather matches 6 as @a at @s if dimension extraterrastral:asteroidbelt run summon skeleton ~4 ~ ~-3
execute if entity @a if score out asteroidweather matches 7 as @a at @s if dimension extraterrastral:asteroidbelt run summon spider ~4 ~ ~-3
execute if entity @a if score out asteroidweather matches 7 as @a at @s if dimension extraterrastral:asteroidbelt run summon stray ~4 ~ ~-3
execute if entity @a if score out asteroidweather matches 7 as @a at @s if dimension extraterrastral:asteroidbelt run summon husk ~4 ~ ~-3 {CustomName:'[{"text":"Detonite Creeper"}]',Health:50,DeathLootTable:"extraterrastral:blocks/detonite_ore",Tags:["detonitecreeper"],ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b}],ArmorItems:[{},{},{},{id:phantom_spawn_egg,tag:{CustomModelData:14},Count:1}],ArmorDropChances:[0f,0f,0f,0f],Attributes:[{Name:"generic.max_health",Base:50f}]}