# HOW TO USE:
# 1. Run "/scoreboard players set min star2 <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max star2 <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:star2" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "star2"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out star2")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=star2active] run scoreboard objectives add star2 dummy
execute unless entity @e[tag=star2active] run scoreboard players set min star2 0
execute unless entity @e[tag=star2active] run scoreboard players set max star2 6
execute unless entity @e[tag=star2active] run summon area_effect_cloud ~ ~ ~ {Tags:["star2base"],Duration:1}
execute unless entity @e[tag=star2active] run execute store result score num star2 run data get entity @e[type=area_effect_cloud,limit=1,tag=star2base] UUID[0]
execute unless entity @e[tag=star2active] run scoreboard players set a star2 48141429
execute unless entity @e[tag=star2active] run scoreboard players set b star2 4819982
execute unless entity @e[tag=star2active] run scoreboard players set m star2 924866
execute unless entity @e[tag=star2active] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["star2active"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax star2 = max star2
scoreboard players operation trueMax star2 -= min star2
scoreboard players add trueMax star2 1

# Modify output
scoreboard players operation num star2 *= a star2
scoreboard players operation num star2 += b star2
scoreboard players operation out star2 = num star2
scoreboard players operation out star2 %= m star2
scoreboard players operation out star2 %= trueMax star2
scoreboard players operation out star2 += min star2

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"star2"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module

execute if entity @s if score out star2 matches 1 as @s at @s run summon husk ~ ~ ~ {CustomName:'[{"text":"Neutron Star"}]',Health:999999,NoAI:1b,NoGravity:1b,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:999999f}]}
execute if entity @s if score out star2 matches 2 as @s at @s run summon husk ~ ~ ~ {CustomName:'[{"text":"Neutron Star"}]',Health:999999,NoAI:1b,NoGravity:1b,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:999999f}]}
execute if entity @s if score out star2 matches 3 as @s at @s run summon husk ~ ~ ~ {CustomName:'[{"text":"Black Hole"}]',Health:9999,NoAI:1b,NoGravity:1b,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:9999f}]}
execute if entity @s if score out star2 matches 4 as @s at @s run summon husk ~ ~ ~-100 {CustomName:'[{"text":"White Hole"}]',Health:999,NoAI:1b,NoGravity:1b,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:999f}]}
execute if entity @s if score out star2 matches 3 as @s at @s run summon husk ~ ~ ~-100 {CustomName:'[{"text":"White Hole"}]',Health:999,NoAI:1b,NoGravity:1b,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:999f}]}
execute if entity @s if score out star2 matches 4 as @s at @s run summon husk ~ ~ ~ {CustomName:'[{"text":"Black Hole"}]',Health:9999,NoAI:1b,NoGravity:1b,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:9999f}]}
execute if entity @s if score out star2 matches 5 as @s at @s run summon husk ~ ~ ~ {CustomName:'[{"text":"Planetary Nebula"}]',Health:999,NoAI:1b,NoGravity:1b,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:999f}]}
execute if entity @s if score out star2 matches 6 as @s at @s run summon husk ~ ~ ~ {CustomName:'[{"text":"Planetary Nebula"}]',Health:999,NoAI:1b,NoGravity:1b,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:999f}]}