# HOW TO USE:
# 1. Run "/scoreboard players set min star1 <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max star1 <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:star1" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "star1"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out star1")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=star1active] run scoreboard objectives add star1 dummy
execute unless entity @e[tag=star1active] run scoreboard players set min star1 0
execute unless entity @e[tag=star1active] run scoreboard players set max star1 8
execute unless entity @e[tag=star1active] run summon area_effect_cloud ~ ~ ~ {Tags:["star1base"],Duration:1}
execute unless entity @e[tag=star1active] run execute store result score num star1 run data get entity @e[type=area_effect_cloud,limit=1,tag=star1base] UUID[0]
execute unless entity @e[tag=star1active] run scoreboard players set a star1 48141429
execute unless entity @e[tag=star1active] run scoreboard players set b star1 4819982
execute unless entity @e[tag=star1active] run scoreboard players set m star1 924866
execute unless entity @e[tag=star1active] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["star1active"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax star1 = max star1
scoreboard players operation trueMax star1 -= min star1
scoreboard players add trueMax star1 1

# Modify output
scoreboard players operation num star1 *= a star1
scoreboard players operation num star1 += b star1
scoreboard players operation out star1 = num star1
scoreboard players operation out star1 %= m star1
scoreboard players operation out star1 %= trueMax star1
scoreboard players operation out star1 += min star1

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"star1"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module

execute if entity @s if score out star1 matches 1 as @s at @s run place template extraterrastral:starsystem1 ~-24 ~ ~-24
execute if entity @s if score out star1 matches 2 as @s at @s run place template extraterrastral:starsystem1 ~-24 ~ ~-24
execute if entity @s if score out star1 matches 3 as @s at @s run place template extraterrastral:star_system2 ~-24 ~ ~-24
execute if entity @s if score out star1 matches 4 as @s at @s run place template extraterrastral:star_system2 ~-24 ~ ~-24
execute if entity @s if score out star1 matches 5 as @s at @s run place template extraterrastral:star_system3 ~-24 ~ ~-24
execute if entity @s if score out star1 matches 6 as @s at @s run place template extraterrastral:star_system3 ~-24 ~ ~-24
execute if entity @s if score out star1 matches 7 as @s at @s run summon husk ~ ~ ~ {CustomName:'[{"text":"White Dwarf"}]',Health:9999,NoAI:1b,NoGravity:1b,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:9999f}]}
execute if entity @s if score out star1 matches 8 as @s at @s run summon husk ~ ~ ~ {CustomName:'[{"text":"White Dwarf"}]',Health:9999,NoAI:1b,NoGravity:1b,PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:14,Duration:99999999,Amplifier:255,ShowParticles:0b}],Attributes:[{Name:"generic.max_health",Base:9999f}]}