# HOW TO USE:
# 1. Run "/scoreboard players set min redplanetweather <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max redplanetweather <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:redplanetweather" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "redplanetweather"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out redplanetweather")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=redplanetweatheractive] run scoreboard objectives add redplanetweather dummy
execute unless entity @e[tag=redplanetweatheractive] run scoreboard players set min redplanetweather 0
execute unless entity @e[tag=redplanetweatheractive] run scoreboard players set max redplanetweather 4
execute unless entity @e[tag=redplanetweatheractive] run summon area_effect_cloud ~ ~ ~ {Tags:["redplanetweatherbase"],Duration:1}
execute unless entity @e[tag=redplanetweatheractive] run execute store result score num redplanetweather run data get entity @e[type=area_effect_cloud,limit=1,tag=redplanetweatherbase] UUID[0]
execute unless entity @e[tag=redplanetweatheractive] run scoreboard players set a redplanetweather 48141429
execute unless entity @e[tag=redplanetweatheractive] run scoreboard players set b redplanetweather 4819982
execute unless entity @e[tag=redplanetweatheractive] run scoreboard players set m redplanetweather 924866
execute unless entity @e[tag=redplanetweatheractive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["redplanetweatheractive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax redplanetweather = max redplanetweather
scoreboard players operation trueMax redplanetweather -= min redplanetweather
scoreboard players add trueMax redplanetweather 1

# Modify output
scoreboard players operation num redplanetweather *= a redplanetweather
scoreboard players operation num redplanetweather += b redplanetweather
scoreboard players operation out redplanetweather = num redplanetweather
scoreboard players operation out redplanetweather %= m redplanetweather
scoreboard players operation out redplanetweather %= trueMax redplanetweather
scoreboard players operation out redplanetweather += min redplanetweather

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"redplanetweather"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module

schedule function extraterrastral:redplanet 9s
execute if entity @a if score out redplanetweather matches 1 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run summon husk ~-37 ~ ~23 {CanBreakDoors:1,CustomName:'[{"text":"Dust Devil"}]',Health:100,PersistenceRequired:1b,Silent:1b,Tags:["dustdevil"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b},{Id:20,Duration:999999,Amplifier:2,ShowParticles:0b}],Attributes:[{Name:"generic.armor",Base:100f},{Name:"generic.armor_toughness",Base:20f},{Name:"generic.knockback_resistance",Base:1f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.follow_range",Base:2048f},{Name:"generic.max_health",Base:100f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"dd"}]',Tags:["dd"]}]}
execute if entity @a if score out redplanetweather matches 1 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run summon husk ~12 ~ ~-32 {CanBreakDoors:1,CustomName:'[{"text":"Dust Devil"}]',Health:100,PersistenceRequired:1b,Silent:1b,Tags:["dustdevil"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b},{Id:20,Duration:999999,Amplifier:2,ShowParticles:0b}],Attributes:[{Name:"generic.armor",Base:100f},{Name:"generic.armor_toughness",Base:20f},{Name:"generic.knockback_resistance",Base:1f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.follow_range",Base:2048f},{Name:"generic.max_health",Base:100f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"dd"}]',Tags:["dd"]}]}
execute if entity @a if score out redplanetweather matches 1 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run place jigsaw extraterrastral:red_planet extraterrastral:mars 7 ~-54 ~2 ~45
execute if entity @a if score out redplanetweather matches 2 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run summon husk ~13 ~ ~21 {CanBreakDoors:1,CustomName:'[{"text":"Dust Devil"}]',Health:100,PersistenceRequired:1b,Silent:1b,Tags:["dustdevil"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b},{Id:20,Duration:999999,Amplifier:2,ShowParticles:0b}],Attributes:[{Name:"generic.armor",Base:100f},{Name:"generic.armor_toughness",Base:20f},{Name:"generic.knockback_resistance",Base:1f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.follow_range",Base:2048f},{Name:"generic.max_health",Base:100f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"dd"}]',Tags:["dd"]}]}
execute if entity @a if score out redplanetweather matches 2 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run summon husk ~-13 ~ ~-32 {CanBreakDoors:1,CustomName:'[{"text":"Dust Devil"}]',Health:100,PersistenceRequired:1b,Silent:1b,Tags:["dustdevil"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b},{Id:20,Duration:999999,Amplifier:2,ShowParticles:0b}],Attributes:[{Name:"generic.armor",Base:100f},{Name:"generic.armor_toughness",Base:20f},{Name:"generic.knockback_resistance",Base:1f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.follow_range",Base:2048f},{Name:"generic.max_health",Base:100f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"dd"}]',Tags:["dd"]}]}
execute if entity @a if score out redplanetweather matches 2 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run place jigsaw extraterrastral:red_planet extraterrastral:mars 7 ~35 ~2 ~-65
execute if entity @a if score out redplanetweather matches 3 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run summon husk ~-12 ~ ~16 {CanBreakDoors:1,CustomName:'[{"text":"Dust Devil"}]',Health:100,PersistenceRequired:1b,Silent:1b,Tags:["dustdevil"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b},{Id:20,Duration:999999,Amplifier:2,ShowParticles:0b}],Attributes:[{Name:"generic.armor",Base:100f},{Name:"generic.armor_toughness",Base:20f},{Name:"generic.knockback_resistance",Base:1f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.follow_range",Base:2048f},{Name:"generic.max_health",Base:100f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"dd"}]',Tags:["dd"]}]}
execute if entity @a if score out redplanetweather matches 3 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run summon husk ~19 ~ ~-18 {CanBreakDoors:1,CustomName:'[{"text":"Dust Devil"}]',Health:100,PersistenceRequired:1b,Silent:1b,Tags:["dustdevil"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b},{Id:20,Duration:999999,Amplifier:2,ShowParticles:0b}],Attributes:[{Name:"generic.armor",Base:100f},{Name:"generic.armor_toughness",Base:20f},{Name:"generic.knockback_resistance",Base:1f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.follow_range",Base:2048f},{Name:"generic.max_health",Base:100f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"dd"}]',Tags:["dd"]}]}
execute if entity @a if score out redplanetweather matches 3 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run place jigsaw extraterrastral:red_planet extraterrastral:mars 7 ~-34 ~2 ~53
execute if entity @a if score out redplanetweather matches 4 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run summon husk ~-25 ~ ~-42 {CanBreakDoors:1,CustomName:'[{"text":"Dust Devil"}]',Health:100,PersistenceRequired:1b,Silent:1b,Tags:["dustdevil"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b},{Id:20,Duration:999999,Amplifier:2,ShowParticles:0b}],Attributes:[{Name:"generic.armor",Base:100f},{Name:"generic.armor_toughness",Base:20f},{Name:"generic.knockback_resistance",Base:1f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.follow_range",Base:2048f},{Name:"generic.max_health",Base:100f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"dd"}]',Tags:["dd"]}]}
execute if entity @a if score out redplanetweather matches 4 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run summon husk ~13 ~ ~18 {CanBreakDoors:1,CustomName:'[{"text":"Dust Devil"}]',Health:100,PersistenceRequired:1b,Silent:1b,Tags:["dustdevil"],ActiveEffects:[{Id:14,Duration:999999,Amplifier:255,ShowParticles:0b},{Id:20,Duration:999999,Amplifier:2,ShowParticles:0b}],Attributes:[{Name:"generic.armor",Base:100f},{Name:"generic.armor_toughness",Base:20f},{Name:"generic.knockback_resistance",Base:1f},{Name:"generic.attack_damage",Base:0f},{Name:"generic.follow_range",Base:2048f},{Name:"generic.max_health",Base:100f}],Passengers:[{id:armor_stand,ShowArms:1b,Invisible:1b,CustomName:'[{"text":"dd"}]',Tags:["dd"]}]}
execute if entity @a if score out redplanetweather matches 4 as @a at @s if dimension extraterrastral:redplanet if block ~ ~-1 ~ smooth_red_sandstone run place jigsaw extraterrastral:red_planet extraterrastral:mars 7 ~34 ~2 ~-54